Skip to main content
`Ctrl`+`K`

# MatLMVMMultAlgorithm

The type of algorithm used for matrix-vector products and solves used internally by a `MatLMVM` matrix

## Synopsis

    typedef enum {
      MAT_LMVM_MULT_RECURSIVE,
      MAT_LMVM_MULT_DENSE,
      MAT_LMVM_MULT_COMPACT_DENSE,
    } MatLMVMMultAlgorithm;

## Values

- `MAT_LMVM_MULT_RECURSIVE` - Use recursive formulas for products and solves

- `MAT_LMVM_MULT_DENSE` - Use dense formulas for products and solves when possible

- `MAT_LMVM_MULT_COMPACT_DENSE` - The same as `MATLMVM_MULT_DENSE`, but go further and ensure products and solves are computed in compact low-rank update form

## Options Database Keys

- -mat_lmvm_mult_algorithm - the algorithm to use for multiplication (recursive, dense, compact_dense)

## See Also

Matrices, `MatLMVM`, `MatLMVMSetMultAlgorithm()`, `MatLMVMGetMultAlgorithm()`

## Level

advanced

## Location

include/petscksp.h

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages